From dbccbadc5ebed5e990aeae11a3efeea5e4017273 Mon Sep 17 00:00:00 2001
From: Mohsin Kaleem <mohkale@kisara.moe>
Date: Sun, 24 Jul 2022 16:55:49 +0100
Subject: [PATCH 06/11] test: Fix Navigation of notmuch-hello to search results

Using the widget properly applies the notmuch-search-exclude and
notmuch-search-oldest-first options. Since the latter is now passed when
switching between notmuch-search and notmuch-tree buffers it broke the
ordering of output this test expected. I did consider just updating the
output file to match what's being outputted but for some reason it
wasn't being very deterministic (changed after every test-run) so I
instead opted to use a search method which didn't populate either of the
previous options.
---
 test/T460-emacs-tree.sh | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/test/T460-emacs-tree.sh b/test/T460-emacs-tree.sh
index 0f23b418..6958073e 100755
--- a/test/T460-emacs-tree.sh
+++ b/test/T460-emacs-tree.sh
@@ -91,10 +91,7 @@ output=$(notmuch search --output=messages 'tag:test_thread_tag')
 test_expect_equal "$output" ""
 
 test_begin_subtest "Navigation of notmuch-hello to search results"
-test_emacs '(notmuch-hello)
-	    (goto-char (point-min))
-	    (re-search-forward "inbox")
-	    (widget-button-press (1- (point)))
+test_emacs '(notmuch-search "tag:inbox")
 	    (notmuch-test-wait)
 	    (notmuch-tree-from-search-current-query)
 	    (notmuch-test-wait)
-- 
2.37.1

